Name:           paperbox
Version:        0.4.4
Release:        2%{?dist}
Summary:        A GTK tracker based document browser

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://live.gnome.org/PaperBox
Source0:        http://ftp.gnome.org/pub/GNOME/sources/paperbox/0.4/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel tracker-devel
BuildRequires:  desktop-file-utils goocanvas-devel
BuildRequires:  intltool >= 0.35.0
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  gtkmm24-devel >= 2.12.0
BuildRequires:  libglademm24-devel
BuildRequires:  gtkmm-utils-devel dbus-glib-devel
BuildRequires:  boost-devel libgnomeui-devel
Requires:       hicolor-icon-theme



%description
Paperbox is a document browser. It lets you nicely view your ebooks, office
and text documents and organise them by tags. Relying on Tracker, it is able 
to instantly discover all documents on your desktop, and present them in a
convenient way. Tags and other metadata are shared across all Tracker-based
applications.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}
desktop-file-install                                    \
--remove-key Version                                    \
--add-category="Office"                                 \
--remove-category Application                           \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
data/paperbox.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%posttrans
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}


%changelog
* Mon Feb 22 2010 Gareth John <gareth.l.john@googlemail.com> 0.4.4-2
- Bump due to build error

* Mon Feb 22 2010 Gareth John <gareth.l.john@googlemail.com> 0.4.4-1
- Used latest source

* Mon Aug 25 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.3-2
- Removed add-X-Fedora from desktop install
- Used name macro consistently in files. 
- Cleaned up description

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.3-1
- Added posttrans script
- Removed, remove encoding value from desktop file
- Updated sources to new release (This fixes F11 not compiling problem, will run in mock on F12)
- Tidy licence up to be correct
- Tidy desktop file path up under install
- Added x-fedora category to desktop file


* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.2-3
- removed add app from desktop file

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.2-2
- tidy brs 

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.2-1
- Initial spec file
- Need to add gtkmm-utils-devel to BD after test
